## yudit 2.5.4

=== bin/Makefile ===
all:

really: ../../UnicodeData.txt
	./shape.pl $< > ../mytool/mys/shape.mys 2> /dev/null

debug: ../../UnicodeData.txt
	./shape.pl $< > ../mytool/mys/shape.mys

kmap: ../mytool/mys/shape.mys
	./arabickmap.pl $< > ../mytool/kmap/ArabicTranslit.kmap

=== stoolkit/Makefile ===
include ../Makefile.conf

MODULES=SExcept.o SObject.o SShared.o SHShared.o SBVector.o \
  SBHashtable.o SString.o SUniqueID.o SStringVector.o SProperties.o \
  SEvent.o SEventBSD.o SIO.o SIOStream.o \
  SConfig.o SBMap.o SUniMap.o SEncoder.o SMatrix.o \
  STextIndex.o STextData.o SUtil.o SAutogen.o \
  SDimension.o SLocation.o SLineCurve.o SHWConverter.o SCluster.o

SENC_OBJS= sencoder/SBEncoder.o \
  sencoder/SB_UTF8.o \
  sencoder/SB_Java.o \
  sencoder/SB_UTF7.o \
  sencoder/SB_Generic.o \
  sencoder/SB_ISO2022_JP.o \
  sencoder/SB_EUC_JP.o \
  sencoder/SB_X11_JP.o \
  sencoder/SB_S_JIS.o  \
  sencoder/SB_X11_HZ.o \
  sencoder/SB_GB2312_8.o \
  sencoder/SB_HZ.o  \
  sencoder/SB_X11_KSC.o \
  sencoder/SB_EUC_KR.o \
  sencoder/SB_UHC.o  \
  sencoder/SB_Johab.o  \
  sencoder/SB_BIG5.o \
  sencoder/SB_UCS2.o \
  sencoder/SB_UInput.o  \
  sencoder/SB_Shape.o  \
  sencoder/SB_DeShape.o  \
  sencoder/SB_NCR.o  \
  sencoder/SB_BiDi.o  

ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES)) $(patsubst sencoder/%.o,%.obj,$(SENC_OBJS))
TARGET=stoolkit.lib
else
OBJS=$(MODULES) $(SENC_OBJS)
TARGET=libstoolkit.a
endif


all: $(TARGET)

stoolkit.lib: $(OBJS)
	$(AR)$@ $(OBJS)

libstoolkit.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

sencoder/%.o:sencoder/%.cpp
	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)

%.o:%.cpp
	$(CXX) -c -DYUDIT_DATA=\"$(YUDIT_DATA)\" $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c -DYUDIT_DATA=\"$(YUDIT_DATA)\" $(CPPFLAGS) $(subst .obj,.cpp,$@)

%.obj:sencoder/%.cpp
	$(CXX) -c $(CPPFLAGS) $(patsubst %.obj,sencoder/%.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

clean: 
	rm -f *.o  *.obj $(TARGET) sencoder/*.o sencoder/*.obj 

install:

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== swindow/Makefile ===
include ../Makefile.conf

MODULES=SAwt.o SGPrimitive.o SGEngine.o SWindow.o SColor.o \
 SImage.o SPen.o SCanvas.o SRedrawEvent.o \
 SFont.o SFontImpl.o SFontTTF.o SFontOTF.o \
 SFontFB.o SFontNative.o SPostscript.o \
 SPrinter.o SAccelerator.o

TARGETDIR=
TARGETOBJS=

ifeq ($(SWINDOWS),X11)
TARGETDIR:=$(TARGETDIR) SX11
TARGETOBJS:=sx11/SX11Impl.o sx11/SX11Window.o sx11/SX11Color.o sx11/SX11Font.o \
 sx11/SXInputMethod.o sx11/SXEventHandler.o
CPPFLAGS:=$(CPPFLAGS) -DUSE_X11=1 $(SWINDOW_FLAGS) 
endif

ifeq ($(SWINDOWS),WIN32)
TARGETDIR:=$(TARGETDIR) swin32
TARGETOBJS:=SWin32.o
CPPFLAGS:=$(CPPFLAGS) 
endif


ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES)) $(subst .o,.obj,$(TARGETOBJS))
#OBJS:=$(subst /,\,$(OBJS))
TARGET=swindow.lib
else
OBJS=$(MODULES) $(TARGETOBJS)
TARGET=libswindow.a
endif


all: $(TARGET)

#
# The cl drops its lib here
#
swindow.lib: $(OBJS)
	$(AR)$@ $(subst swin32/,,$(OBJS))

libswindow.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

sx11/%.o:sx11/%.cpp
	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

%.obj:swin32/%.cpp
	$(CXX) -c $(CPPFLAGS) $(patsubst %.obj,swin32/%.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

clean: 
	rm -f *.o  *.obj */*.o */*.obj $(TARGET)

install:

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== tests/Makefile ===
include ../Makefile.conf

TEST_MODULES=Test.o 
SPEED_MODULES=Speed.o 
YUKO_MODULES=Yuko.o 
DRAW_MODULES=Drawing.o 
HANDPAD_MODULES=Handpad.o 

ifeq ($(SPLATFORM),WINDOWS)
TEST_OBS=$(subst .o,.obj,$(TEST_MODULES))
SPEED_OBS=$(subst .o,.obj,$(SPEED_MODULES))
YUKO_OBS=$(subst .o,.obj,$(YUKO_MODULES))
DRAW_OBS=$(subst .o,.obj,$(DRAW_MODULES))
HANDPAD_OBS=$(subst .o,.obj,$(HANDPAD_MODULES))
SLIBS=/libpath:../stoolkit stoolkit.lib
SWINLIBS=/libpath:../swindow  swindow.lib
SWIDGETLIBS=/libpath:../swidget swidget.lib
MYLIBS=/link /subsystem:CONSOLE $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(SWINDOW_LIBS) $(ALL_LIBS)
#MYLIBS=/link /subsystem:WINDOWS $(SGUILIBS) $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(SWINDOW_LIBS) $(ALL_LIBS)
else
TEST_OBS=$(TEST_MODULES)
SPEED_OBS=$(SPEED_MODULES)
YUKO_OBS=$(YUKO_MODULES)
DRAW_OBS=$(DRAW_MODULES)
HANDPAD_OBS=$(HANDPAD_MODULES)
SLIBS=-L../stoolkit -lstoolkit
SWINLIBS=-L../swindow -lswindow 
SWIDGETLIBS=-L../swidget -lswidget 
MYLIBS=$(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(ALL_LIBS)
endif

.PHONY:all clean config 

all:  handpad

test1: $(TEST_OBS)
	$(LD) -o test1 $(TEST_OBS) $(MYLIBS)

speed1: $(SPEED_OBS)
	$(LD) -o speed $(SPEED_OBS) $(MYLIBS)

yuko1: $(YUKO_OBS)
	$(LD) -o yuko $(YUKO_OBS) $(MYLIBS)

draw: $(DRAW_OBS)
	$(LD) -o draw $(DRAW_OBS) $(MYLIBS)

handpad: $(HANDPAD_OBS)
	$(LD) -o handpad $(HANDPAD_OBS) $(MYLIBS)

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

install:
	rm -f $(bindir)/test1
	$(INSTALL_PROGRAM) test1 $(bindir)

clean: 
	rm -f *.o *.obj handpad draw speed speed.exe yuko yuko.exe test1 test1.exe core

$(SUBDIRS_clean):
	$(MAKE) -C $(patsubst %_clean,%,$@) clean

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(TEST_OBS)) > .depend


ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== mytool/hwd/Makefile ===
# Simple as that - we want utf-8 in our files.
#
# PLEASE READ documents in ../../doc/hwd
# ======================================
#
# Do not even try this unless you have yudit version 2.4.8beta7 or better
# uniconv shift-jis was fixed there. 
# Gaspar Sinai <gsinai@yudit.org>
# 2001-10-02 Tokyo
#
# http://www.kotnet.org/~skimo/kanji/gtkkanjipad-0.07.tar.gz 
# has strokedata.h and hanzidata.h.
# I have them here too.

include ../../Makefile.conf

TARGET=kanji.hwd hanzi.hwd

all:
	@echo "hwd is already made when packaged"

really: $(TARGET)

kanji.hwd: strokedata.h convert.pl
	perl convert.pl  sjis $<  > $@
	patch -p0 < kanji.hwd.patch0
	patch -p0 < kanji.hwd.patch1
	patch -p0 < kanji.hwd.patch2

hanzi.hwd: hanzidata.h convert.pl
	perl convert.pl  gb  $< > $@

reallyclean:
	rm -f kanji.hwd  hanzi.hwd *.bak  core

clean:
	rm -f  *.bak  core

install:
	@if test ! -d $(DESTDIR)/$(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(DESTDIR)/$(datadir) ; then mkdir -p $(DESTDIR)/$(datadir);fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@for whd in *.hwd; do \
		echo installing $$whd; \
		$(INSTALL_DATA) $$whd $(DESTDIR)/$(datadir)/yudit/data; \
	done

depend:

=== mytool/kmap/Makefile ===

include ../../Makefile.conf

KMAPS=$(basename $(notdir $(wildcard *.kmap))) 

TARGET=$(addsuffix .my,$(KMAPS))

all: $(TARGET)

clean:
	rm -f *.my *.o *.bak message.txt core

#
# Benagli clustering kmap
#
Bengali.my: Bengali.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@
#
# Benagli clustering kmap
# Suggested by Department of IT, Goverment of India.
#
Ben-Inscript.my: Ben-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Devanagari clustering kmap
#
Devanagari.my: Devanagari.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Devanagari clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Dev-Inscript.my: Dev-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@
#
# Devanagari phonetic clustering Keyboard 
#
Dev-Phonetic.my: Dev-Phonetic.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Gujarari clustering kmap
#
Gujarati.my: Gujarati.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Gujarati clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Guj-Inscript.my: Guj-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Gurmukhi clustering kmap
#
Gurmukhi.my: Gurmukhi.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Gurmukhi clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Gur-Inscript.my: Gur-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Oriya clustering kmap
#
Oriya.my: Oriya.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@
#
# Oriya clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Ori-Inscript.my: Ori-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Malayalam clustering kmap
#
Malayalam.my: Malayalam.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Malayalam clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Mal-Inscript.my: Mal-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@
#
# Telugu clustering kmap
#
Telugu.my: Telugu.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Telugu clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Tel-Inscript.my: Tel-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Kannada clustering kmap
#
Kannada.my: Kannada.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Kannada clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Kan-Inscript.my: Kan-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

%.my:%.kmap
	@echo Processing $< ...
	../mytool -type kmap -kmap $< -rkmap $<  -write $@

install:
	@if test ! -d $(DESTDIR)/$(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(DESTDIR)/$(datadir) ; then mkdir -p $(DESTDIR)/$(datadir);fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/src ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/src;fi 
	@for mymap in *.my; do \
		echo installing $$mymap; \
		$(INSTALL_DATA) $$mymap $(DESTDIR)/$(datadir)/yudit/data; \
	done
	@for mysrc in *.kmap; do \
		echo installing $$mysrc; \
		$(INSTALL_DATA) $$mysrc $(DESTDIR)/$(datadir)/yudit/src; \
	done

depend:

=== mytool/mys/Makefile ===
include ../../Makefile.conf

#-------------------------------------------------------------------------------

.SUFFIXES: .o .cpp .h .mys .my
SRC_MAPS=$(basename $(notdir $(wildcard *.mys)))
OUT_MAPS=$(addsuffix .my,$(SRC_MAPS))

TARGET = $(OUT_MAPS) 


%.o:%.cpp
	$(CXX)  -c $(ALL_CFLAGS) -o $@ $<


all: $(TARGET)

%.my:%.mys
	@echo "Making $@ ..."
	../mytool -convert my -write $@ -mys $<

clean:
	rm -f *.my *.o *.bak core message.txt

depend:

install: $(TARGET)
	@if test ! -d $(DESTDIR)/$(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(DESTDIR)/$(datadir) ; then mkdir -p $(DESTDIR)/$(datadir); fi
	@if test ! -d $(DESTDIR)/$(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@for map in *.my ; do \
		echo installing $$map; \
		$(INSTALL_DATA) $$map $(DESTDIR)/$(datadir)/yudit/data; \
		if [ $$? != 0 ]; then \
			exit 1; \
		fi; \
	done \
	

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== mytool/uni/Makefile ===
include ../../Makefile.conf

TARGETS=iso-8859-1.my \
	iso-8859-2.my \
	iso-8859-3.my \
	iso-8859-4.my \
	iso-8859-5.my \
	iso-8859-6.my \
	iso-8859-7.my \
	iso-8859-8.my \
	iso-8859-9.my \
	iso-8859-15.my \
	iso-8859-16.my \
	viscii.my \
	tcvn.my \
	wingreek.my \
	cp-1251.my \
	cp-1250.my \
	jis-0201.my \
	jis-0208.my \
	jis-0212.my \
	ksc-5601-r.my \
	ksc-5601-l.my \
	ksc-5601-old.my \
	big-5.my \
	gb-2312-l.my \
	gb-2312-r.my 

MTARGETS=koi8-r.my koi8-c.my koi8-u.my tcvn.my viscii.my windows-1255.my \
    wingreek.my iso-646.my iso-8859e.my category.my indic.my mik.my \
    rovas.my mirroring.my

#
# Make a bumap file...
# If you want my write '-convert my' here.
#
#MYTOPT=-type fontmap -nocomment -comment "" -convert bumap
MYTOPT=-type fontmap -nocomment  -convert bumap

ALL_TARGETS=$(MTARGETS) $(TARGETS)
ALL_NAMES=$(basename $(ALL_TARGETS))
#MYTOPT=

#
# IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT
# 0 -> 0 can not be encoded with bumap! please remove those lines!!!
# IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT
#
MAPDIR=../../../MAPPINGS
#MAPDIR=../../..

#-------------------------------------------------------------------------------

MYTOOL=../mytool

.SUFFIXES: .umap .TXT

all: $(MTARGETS) MYTOOL

my: $(TARGETS)

TL=".----------------------------------------------------------------"

MYTOOL: 
	@echo $(TL)
	@echo "Most my-maps are in the distribution. If you have the MAPS from "
	@echo "The unicode Consortium  in ../../MAPPINS, you can re-make your "
	@echo "own by typing 'make umaps' or 'make my'"
	@echo $(TL)

#
# BINARY UMAPS in 'my' format
#
koi8-r.my: koi8-r.txt
	$(MYTOOL) $(MYTOPT) -name koi8-r -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

koi8-c.my: koi8-c.txt
	$(MYTOOL) $(MYTOPT) -name koi8-c -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

koi8-u.my: koi8-u.txt
	$(MYTOOL) $(MYTOPT) -name koi8-u -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

viscii.my: viscii.txt
	$(MYTOOL) $(MYTOPT) -name viscii -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

#
# 8 bit long
#
rovas.my: ROVASIRAS.TXT
	$(MYTOOL) $(MYTOPT) -name rovas -uni:0,1 $< -runi:0,1 $< -8 -write $@ 

mirroring.my: mirroring.txt
	$(MYTOOL) $(MYTOPT) -name mirroring -uni:0,1 $< -runi:0,1 $< -write $@ 

tcvn.my: tcvn.txt
	$(MYTOOL) $(MYTOPT) -name tcvn -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

wingreek.my: wingreek.txt
	$(MYTOOL) $(MYTOPT) -name wingreek -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

windows-1255.my: windows-1255.txt
	$(MYTOOL) $(MYTOPT) -name windows-1255 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 


iso-646.my: ISO002.TXT
	$(MYTOOL) $(MYTOPT) -name iso-646 -uni:0,1 $< -runi:0,1 $< -8 -write $@ 

mik.my: MIK.TXT
	$(MYTOOL) $(MYTOPT) -name mik -uni:0,1 $< -runi:0,1 $< -8 -write $@ 

iso-8859e.my: 8859-9e.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859e -uni:0,1 $< -runi:0,1 $< -8 -write $@ 

category.my: category.txt
	$(MYTOOL) $(MYTOPT) -name category -uni:0,1 $< -runi:0,1 $< -8 -write $@ 

indic.my: indic.txt
	$(MYTOOL) $(MYTOPT) -name indic -uni:0,1 $< -runi:0,1 $< -8 -write $@ 

iso-8859-1.my: $(MAPDIR)/8859-1.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-1 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-2.my: $(MAPDIR)/8859-2.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-2 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-3.my: $(MAPDIR)/8859-3.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-3 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-4.my: $(MAPDIR)/8859-4.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-4 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-5.my: $(MAPDIR)/8859-5.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-5 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-6.my: $(MAPDIR)/8859-6.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-6 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-7.my: $(MAPDIR)/8859-7.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-7 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-8.my: $(MAPDIR)/8859-8.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-8 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-9.my: $(MAPDIR)/8859-9.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-9 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-15.my: $(MAPDIR)/8859-15.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-15 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
iso-8859-16.my: $(MAPDIR)/8859-16.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-16 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
cp-1251.my: $(MAPDIR)/CP1251.TXT
	$(MYTOOL) $(MYTOPT) -name cp-1251 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
cp-1250.my: $(MAPDIR)/CP1250.TXT
	$(MYTOOL) $(MYTOPT) -name cp-1250 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
jis-0201.my: $(MAPDIR)/JIS0201.TXT
	$(MYTOOL) $(MYTOPT) -name jis-0201 -uni:0,1 $< -runi:0,1 $<  -write $@ 

jis-0208.my: $(MAPDIR)/JIS0208.TXT
	$(MYTOOL) $(MYTOPT) -name jis-0208 -uni:1,2 $< -runi:1,2 $<  -write $@ 
	
jis-0212.my: $(MAPDIR)/JIS0212.TXT
	$(MYTOOL) $(MYTOPT) -name jis-0212 -uni:0,1 $< -runi:0,1 $<  -write $@ 

ksc-5601-r.my: $(MAPDIR)/KSC5601.TXT
	$(MYTOOL) $(MYTOPT) -name ksc-5601-r -uni:0,1 $< -runi:0,1 $<  -write $@ 

ksc-5601-l.my: $(MAPDIR)/KSC5601.TXT
	$(MYTOOL) $(MYTOPT) -name ksc-5601-l -low -uni:0,1 $< -runi:0,1 $<  -write $@ 
ksc-5601-old.my: $(MAPDIR)/OLD5601.TXT
	$(MYTOOL) $(MYTOPT) -name ksc-5601-old -uni:0,1 $< -runi:0,1 $<  -write $@ 

big-5.my: $(MAPDIR)/BIG5.TXT
	$(MYTOOL) $(MYTOPT) -name big-5 -uni:0,1 $< -runi:0,1 $<  -write $@ 

gb-2312-l.my: $(MAPDIR)/GB2312.TXT
	$(MYTOOL) $(MYTOPT) -name gb-2312-l -uni:0,1 $< -runi:0,1 $<  -write $@ 

gb-2312-r.my: $(MAPDIR)/GB2312.TXT
	$(MYTOOL) $(MYTOPT) -name gb-2312-r -high -uni:0,1 $< -runi:0,1 $<  -write $@ 

install:
	@if test ! -d $(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(datadir) ; then mkdir -p $(DESTDIR)/$(datadir);fi 
	@if test ! -d $(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@for mymap in *.my; do \
		echo installing $$mymap; \
		$(INSTALL_DATA) $$mymap $(DESTDIR)/$(datadir)/yudit/data; \
	done

depend:

badcheck:
	@for map in $(ALL_NAMES); do \
		echo -n Checking $$i ..; \
		diff $$map.my ../../data/$$i.bumap; \
		echo ..Done; \
	done

clean:
	rm -f $(MTARGETS) core

veryclean:
	rm -f $(MTARGETS) *.my core

## yudit 2.7.6

=== bin/Makefile ===
all: 

#
# UNIDATA directory should have:
# UnicodeData.txt
# Unihan.txt
# BidiMirroring.txt
#
UNIROOT=/software/unicode/codetables/DOWNLOAD/
UNIDATA=$(UNIROOT)/UNIDATA
#MAPPINGS=$(UNIROOT)/MAPPINGS
MAPPINGS=../../

really: gcategory shape mirror precompose olditalic jis2000

charclass: $(UNIDATA)/UnicodeData.txt
	perl charclass.pl $< > ../mytool/mys/charclass.mys

bidiclass: $(UNIDATA)/UnicodeData.txt
	perl bidiclass.pl $< > ../mytool/mys/bidiclass.mys

precompose: $(UNIDATA)/UnicodeData.txt
	perl precompose.pl $< > ../mytool/mys/precompose.mys

mirror: $(UNIDATA)/BidiMirroring.txt
	perl mirroring.pl $< > ../mytool/uni/mirroring.txt 

olditalic: $(UNIDATA)/UnicodeData.txt
	perl olditalic.pl u $< > ../mytool/mys/OldItalic.mys

shape: $(UNIDATA)/UnicodeData.txt
	./shape.pl $< > ../mytool/mys/shape.mys 2> /dev/null

kmap: ../mytool/mys/shape.mys
	./arabickmap.pl $< > ../mytool/kmap/ArabicTranslit.kmap 

#
# This will create eastasia - that is obsolete
# JIS0201.TXT can not be calculated....
#
eastasia: $(UNIDATA)/Unihan.txt
	cp  $(MAPPINGS)/OBSOLETE/EASTASIA/JIS/JIS0201.TXT  MAPPINGS
	./eastasia.pl --dir MAPPINGS  $<

# CP949.TXT stripped will make KSC5601.TXT - this has nothing
# to do with KSC5601 but I will still keep it.
# 
korean:
	wget http://jshin.net/faq/KSX1001.TXT.gz
	wget http://jshin.net/faq/JOHAB.TXT.gz
	gunzip KSX1001.TXT.gz
	gunzip JOHAB.TXT.gz
	mv KSX1001.TXT MAPPINGS
	mv JOHAB.TXT MAPPINGS
	perl -ne 'next if (/^0x[0-9A-Za-z]{2}[ \t]/);print;' $(MAPPINGS)/VENDORS/MICSFT/WINDOWS/CP949.TXT > MAPPINGS/KSC5601.TXT

clean:
	rm MAPPINGS/*.TXT

veryclean:
	rm MAPPINGS/*.TXT

=== stoolkit/Makefile ===
--- 
+++ 
@@ -2,10 +2,11 @@
 
 MODULES=SExcept.o SObject.o SShared.o SHShared.o SBVector.o \
   SBHashtable.o SString.o SUniqueID.o SStringVector.o SProperties.o \
-  SEvent.o SEventBSD.o SIO.o SIOStream.o \
+  SEvent.o SEventBSD.o SIO.o SIOStream.o SCharClass.o \
   SConfig.o SBMap.o SUniMap.o SEncoder.o SMatrix.o \
-  STextIndex.o STextData.o SUtil.o SAutogen.o \
-  SDimension.o SLocation.o SLineCurve.o SHWConverter.o SCluster.o
+  STextIndex.o SCursorIndex.o SEmbedState.o SGlyph.o SParagraph.o \
+  STextData.o SUtil.o SAutogen.o SDimension.o SLocation.o \
+  SLineCurve.o SHWConverter.o SCluster.o SBiDi.o SRendClass.o \
 
 SENC_OBJS= sencoder/SBEncoder.o \
   sencoder/SB_UTF8.o \
@@ -13,6 +14,7 @@
   sencoder/SB_UTF7.o \
   sencoder/SB_Generic.o \
   sencoder/SB_ISO2022_JP.o \
+  sencoder/SB_ISO2022_JP3.o \
   sencoder/SB_EUC_JP.o \
   sencoder/SB_X11_JP.o \
   sencoder/SB_S_JIS.o  \
@@ -26,9 +28,11 @@
   sencoder/SB_BIG5.o \
   sencoder/SB_UCS2.o \
   sencoder/SB_UInput.o  \
-  sencoder/SB_Shape.o  \
   sencoder/SB_DeShape.o  \
   sencoder/SB_NCR.o  \
+  sencoder/SB_GB18030.o  \
+  sencoder/SB_S_JIS0213.o  \
+  sencoder/SB_EUC_JP0213.o  \
   sencoder/SB_BiDi.o  
 
 ifeq ($(SPLATFORM),WINDOWS)

=== swidget/Makefile ===
include ../Makefile.conf


MODULES=SComponent.o SBorder.o SPanel.o \
  SFrame.o STextView.o STextEdit.o SCaret.o SEditorIF.o SEditor.o \
  STextEditLS.o SUndo.o SYuditInput.o SLayout.o SUniPrint.o \
  SSlider.o SIcon.o SOpaqueLabel.o SButton.o SLabel.o \
  STextList.o SListBox.o SIconFactory.o \
  SDialog.o STextDialog.o SFileDialog.o  \
  STextTable.o SDrawing.o SFreeHand.o

TARGETDIR=
TARGETOBJS=

ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES)) $(subst .o,.obj,$(TARGETOBJS))
TARGET=swidget.lib
else
OBJS=$(MODULES) $(TARGETOBJS)
TARGET=libswidget.a
endif


all: $(TARGET)

#
# The cl drops its lib here
#
swidget.lib: $(OBJS)
	$(AR)$@ $(subst swin32/,,$(OBJS))

libswidget.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

clean: 
	rm -f *.o  *.obj *.o $(TARGET)

install:

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== uniconv/Makefile ===
include ../Makefile.conf

MODULES=Main.o 

ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES))
SLIBS=/libpath:../stoolkit stoolkit.lib
SWINLIBS=/libpath:../swindow 
MYLIBS=/link /subsystem:CONSOLE $(SWINLIBS) $(SLIBS) $(ALL_LIBS)
else
OBJS=$(MODULES)
SLIBS=-L../stoolkit -lstoolkit
SWINLIBS=-L../swindow -lswindow 
MYLIBS=$(SWINLIBS) $(SLIBS) $(ALL_LIBS)
endif

.PHONY:all clean config 

all:  uniconv

uniconv: $(OBJS)
	$(LD) -o uniconv $(OBJS) $(MYLIBS)

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

install:
	rm -f $(DESTDIR)/$(bindir)/uniconv
	$(INSTALL_PROGRAM) uniconv $(DESTDIR)/$(bindir)
	$(INSTALL_DATA) uniconv.1 $(DESTDIR)/$(mandir)/man1

clean: 
	rm -f *.o *.obj uniconv uniconv.exe core

$(SUBDIRS_clean):
	$(MAKE) -C $(patsubst %_clean,%,$@) clean

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== mytool/hwd/Makefile ===
--- 
+++ 
@@ -26,6 +26,9 @@
 	patch -p0 < kanji.hwd.patch0
 	patch -p0 < kanji.hwd.patch1
 	patch -p0 < kanji.hwd.patch2
+	patch -p0 < kanji.hwd.patch3
+	patch -p0 < kanji.hwd.patch4
+	patch -p0 < kanji.hwd.patch5
 
 hanzi.hwd: hanzidata.h convert.pl
 	perl convert.pl  gb  $< > $@

=== mytool/mys/Makefile ===
--- 
+++ 
@@ -6,7 +6,15 @@
 SRC_MAPS=$(basename $(notdir $(wildcard *.mys)))
 OUT_MAPS=$(addsuffix .my,$(SRC_MAPS))
 
+#
+# Contains private, unofficial JIS0213-1.TXT JIS0213-2.TXT
+# needed for jis-0213-1.mys, jis-0213-2.mys, shift-jis-3.mys
+#
+JIS0213_1=../../../JISX0213-1.TXT
+JIS0213_2=../../../JISX0213-2.TXT
+
 TARGET = $(OUT_MAPS) 
+
 
 
 %.o:%.cpp
@@ -18,6 +26,89 @@
 %.my:%.mys
 	@echo "Making $@ ..."
 	../mytool -convert my -write $@ -mys $<
+
+IS_AS.my:IS_AS.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_BN.my:IS_BN.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_DV.my:IS_DV.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_GJ.my:IS_GJ.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_KN.my:IS_KN.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_ML.my:IS_ML.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_OR.my:IS_OR.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_PJ.my:IS_PJ.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_RM.my:IS_RM.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_TL.my:IS_TL.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_TM.my:IS_TM.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+tscii.my:tscii.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+nastaliq.my:nastaliq.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+# Make all jis-0213-1.mys, jis-0213-2.mys, shift-jis-3.mys
+# This is usually already made.
+jisx0213: 
+	perl ../../bin/parsejisx0213.pl 2 jis-0213-1.mys  $(JIS0213_1) > jis-0213-1.mys
+	perl ../../bin/parsejisx0213.pl 2 jis-0213-2.mys  $(JIS0213_2) > jis-0213-2.mys
+	perl ../../bin/parsejisx0213.pl 1 shift-jis-3.mys $(JIS0213_1) $(JIS0213_2) > shift-jis-3.mys
+
+jis-0213-1.my:jis-0213-1.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+jis-0213-2.my:jis-0213-2.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+shift-jis-3.my:shift-jis-3.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+gb-18030.my:gb-18030.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+charclass.my:charclass.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+bidiclass.my:bidiclass.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
 
 clean:
 	rm -f *.my *.o *.bak core message.txt

## yudit 2.8.1

=== bin/Makefile ===
--- 
+++ 
@@ -6,12 +6,17 @@
 # Unihan.txt
 # BidiMirroring.txt
 #
-UNIROOT=/software/unicode/codetables/DOWNLOAD/
-UNIDATA=$(UNIROOT)/UNIDATA
-#MAPPINGS=$(UNIROOT)/MAPPINGS
-MAPPINGS=../../
+UNIROOT=../../Unicode
 
-really: gcategory shape mirror precompose olditalic jis2000
+UNIDATA=$(UNIROOT)/5.0.0/ucd
+MAPPINGS=$(UNIROOT)/MAPPINGS
+#
+# You should update UNIDATA charclass.pl bidiclass.pl precompose.pl 
+# mirroring.pl and run make map for unicode updates.
+#
+map: charclass bidiclass precompose mirror olditalic shape kmap
+
+restricted: gcategory shape mirror precompose olditalic jis2000
 
 charclass: $(UNIDATA)/UnicodeData.txt
 	perl charclass.pl $< > ../mytool/mys/charclass.mys
@@ -55,7 +60,9 @@
 	perl -ne 'next if (/^0x[0-9A-Za-z]{2}[ \t]/);print;' $(MAPPINGS)/VENDORS/MICSFT/WINDOWS/CP949.TXT > MAPPINGS/KSC5601.TXT
 
 clean:
-	rm MAPPINGS/*.TXT
+	rm MAPPINGS/KSX1001.*
+	rm MAPPINGS/JOHAB.*
 
 veryclean:
-	rm MAPPINGS/*.TXT
+	rm MAPPINGS/KSX1001.*
+	rm MAPPINGS/JOHAB.*

=== gui/Makefile ===
include ../Makefile.conf


TARGETOBJS=SYudit.o SToolBar.o SMessageBar.o SMessageLabel.o  \
SKMapPanel.o SKMapDialog.o

TARGETDIR=
MAINOBJ=Main.o
MAIN=yudit

LOCALES=$(wildcard locale/*)

ifeq ($(SPLATFORM),WINDOWS)
TARGET=gui.lib
OBJS=$(subst .o,.obj,$(TARGETOBJS))
MAINOBJS=$(subst .o,.obj,$(MAINOBJ))
SLIBS=/libpath:../stoolkit stoolkit.lib
SWINLIBS=/libpath:../swindow  swindow.lib
SWIDGETLIBS=/libpath:../swidget swidget.lib
SGUILIBS=/libpath:../gui /subsystem:WINDOWS gui.lib 
MYLIBS=/link /subsystem:WINDOWS $(SGUILIBS) $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(SWINDOW_LIBS) $(ALL_LIBS)
RESOURCE=yudit.res
else
TARGET=libgui.a
OBJS=$(TARGETOBJS)
MAINOBJS=$(MAINOBJ)

SLIBS=-L../stoolkit  -lstoolkit
SWINLIBS=-L../swindow -lswindow 
SWIDGETLIBS=-L../swidget -lswidget 
SGUILIBS=-L../gui -lgui 
MYLIBS=$(SGUILIBS) $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(ALL_LIBS)
RESOURCE=
endif

.PHONY: messages

all: $(TARGET) $(MAIN)

$(MAIN): $(TARGET) $(MAINOBJS) $(RESOURCE)
	$(LD) -o yudit $(MAINOBJS) $(RESOURCE) $(MYLIBS)

#
# This is a windows thing
#
yudit.res:
	rc /Fo $@ yudit.rc 

gui.lib: $(OBJS)
	$(AR)$@ $(subst swin32/,,$(OBJS))

libgui.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

install: 
	@for i in $(LOCALES); do \
		if test ! -d $(DESTDIR)/$(datadir)/yudit/$$i/LC_MESSAGES; then \
			mkdir -p $(DESTDIR)/$(datadir)/yudit/$$i/LC_MESSAGES; \
		fi ; \
		$(INSTALL_DATA) $$i/LC_MESSAGES/messages.[mp]o \
			$(DESTDIR)/$(datadir)/yudit/$$i/LC_MESSAGES ; \
		echo installing messages for $$i; \
	done
	rm -f $(DESTDIR)/$(bindir)/yudit
	$(INSTALL_PROGRAM) $(MAIN) $(DESTDIR)/$(bindir)

messages:
	@if [ $(MSGMERGE) != ":" ] ; then \
		echo "start translating  messages"; \
		xgettext --c++ --keyword=translate  ../swidget/*.cpp *.cpp; \
		for i in $(LOCALES); do \
			echo $$i/LC_MESSAGES/messages.po ; \
			cd $$i/LC_MESSAGES ; touch messages.po;  \
			$(MSGMERGE) --width=100 --strict \
			  messages.po ../../../messages.po > messages.pod; \
			if [ $$? != 0 ]; then \
				cd ../../..; \
				exit 1; \
			fi;  \
			mv messages.pod messages.po; \
			msgfmt -o messages.mo messages.po;  \
			cd ../../..; \
		done ; \
		echo "end translating  messages" ; \
	fi

clean: 
	rm -f *.o  *.obj *.o *.exe $(TARGET) $(MAIN)

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== swindow/Makefile ===
--- 
+++ 
@@ -2,18 +2,21 @@
 
 MODULES=SAwt.o SGPrimitive.o SGEngine.o SWindow.o SColor.o \
  SImage.o SPen.o SCanvas.o SRedrawEvent.o \
- SFont.o SFontImpl.o SFontTTF.o SFontOTF.o \
+ SFont.o SFontImpl.o SFontTTF.o SFontOTF.o SFontBDF.o SUniFont.o \
  SFontFB.o SFontNative.o SPostscript.o \
- SPrinter.o SAccelerator.o
+ SPrinter.o SAccelerator.o SScriptProcessor.o 
 
 TARGETDIR=
 TARGETOBJS=
 
 ifeq ($(SWINDOWS),X11)
 TARGETDIR:=$(TARGETDIR) SX11
-TARGETOBJS:=sx11/SX11Impl.o sx11/SX11Window.o sx11/SX11Color.o sx11/SX11Font.o \
- sx11/SXInputMethod.o sx11/SXEventHandler.o
-CPPFLAGS:=$(CPPFLAGS) -DUSE_X11=1 $(SWINDOW_FLAGS) 
+ifeq ($(USE_X11),-DUSE_X11=1)
+TARGETOBJS:=sx11/SX11Impl.o sx11/SX11Window.o \
+ sx11/SX11Color.o sx11/SX11Font.o \
+ sx11/SXInputMethod.o sx11/SXEventHandler.o 
+endif
+CPPFLAGS:=$(CPPFLAGS) $(SWINDOW_FLAGS) 
 endif
 
 ifeq ($(SWINDOWS),WIN32)
@@ -46,7 +49,7 @@
 	$(RANLIB) $@      
 
 sx11/%.o:sx11/%.cpp
-	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)
+	$(CXX) -c -o $@ $(HAVE_LOCALE) $(NEED_SET_IM_VALUES_PROTO) $(HAVE_SET_IM_VALUES) $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)
 
 %.o:%.cpp
 	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

=== mytool/hwd/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 include ../../Makefile.conf
 
-TARGET=kanji.hwd hanzi.hwd
+TARGET=kanji.hwd hanzi.hwd 
 
 all:
 	@echo "hwd is already made when packaged"

=== mytool/kmap/Makefile ===

include ../../Makefile.conf

KMAPS=$(basename $(notdir $(wildcard *.kmap))) 

TARGET=$(addsuffix .my,$(KMAPS))

all: $(TARGET)

clean:
	rm -f *.my *.o *.bak message.txt core

# Update 2.6.4
# Removed clustering because now we can modify on the fly:
#
# Bengali.kmap Ben-Inscript.kmap 
# Devanagari.kmap Dev-Inscript.kmap Dev-Phonetic.kmap 
# Gujarati.kmap Guj-Inscript.kmap Gurmukhi.kmap 
# Gur-Inscript.kmap Oriya.kmap Ori-Inscript.kmap 
# Malayalam.kmap Mal-Inscript.kmap Telugu.kmap Tel-Inscript.kmap
# Kannada.kmap Kan-Inscript.kmap
#
#Any.my: Any.kmap
#	@echo Processing $< ...
#	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# MiddleKorean clustering kmap
#
MiddleKorean.my: MiddleKorean.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

%.my:%.kmap
	@echo Processing $< ...
	../mytool -type kmap -kmap $< -rkmap $<  -write $@

install:
	@if test ! -d $(DESTDIR)/$(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(DESTDIR)/$(datadir) ; then mkdir -p $(DESTDIR)/$(datadir);fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/src ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/src;fi 
	@for mymap in *.my; do \
		echo installing $$mymap; \
		$(INSTALL_DATA) $$mymap $(DESTDIR)/$(datadir)/yudit/data; \
	done
	@for mysrc in *.kmap; do \
		echo installing $$mysrc; \
		$(INSTALL_DATA) $$mysrc $(DESTDIR)/$(datadir)/yudit/src; \
	done

depend:

=== mytool/uni/Makefile ===
--- 
+++ 
@@ -15,20 +15,27 @@
 	tcvn.my \
 	wingreek.my \
 	cp-1251.my \
-	cp-1250.my \
-	jis-0201.my \
+	cp-1250.my 
+
+#
+# shift-jis.my is not used in converters - it is only here for fonts.
+#
+EASTASIAN= jis-0201.my \
 	jis-0208.my \
+	shift-jis.my \
 	jis-0212.my \
+	big-5.my \
+	gb-2312-l.my \
+	gb-2312-r.my \
 	ksc-5601-r.my \
 	ksc-5601-l.my \
-	ksc-5601-old.my \
-	big-5.my \
-	gb-2312-l.my \
-	gb-2312-r.my 
+	ksx-1001.my\
 
 MTARGETS=koi8-r.my koi8-c.my koi8-u.my tcvn.my viscii.my windows-1255.my \
-    wingreek.my iso-646.my iso-8859e.my category.my indic.my mik.my \
-    rovas.my mirroring.my
+    wingreek.my iso-646.my iso-8859e.my indic.my mik.my \
+    rovas.my mirroring.my 
+
+EASTASIAMAP=../../bin/MAPPINGS
 
 #
 # Make a bumap file...
@@ -41,12 +48,8 @@
 ALL_NAMES=$(basename $(ALL_TARGETS))
 #MYTOPT=
 
-#
-# IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT
-# 0 -> 0 can not be encoded with bumap! please remove those lines!!!
-# IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT
-#
-MAPDIR=../../../MAPPINGS
+#MAPDIR=../../../MAPPINGS
+MAPDIR=/software/unicode/codetables
 #MAPDIR=../../..
 
 #-------------------------------------------------------------------------------
@@ -58,6 +61,8 @@
 all: $(MTARGETS) MYTOOL
 
 my: $(TARGETS)
+
+eastasian: $(EASTASIAN)
 
 TL=".----------------------------------------------------------------"
 
@@ -65,7 +70,7 @@
 	@echo $(TL)
 	@echo "Most my-maps are in the distribution. If you have the MAPS from "
 	@echo "The unicode Consortium  in ../../MAPPINS, you can re-make your "
-	@echo "own by typing 'make umaps' or 'make my'"
+	@echo "own by typing 'make eastasian' or 'make my'"
 	@echo $(TL)
 
 #
@@ -110,9 +115,6 @@
 
 iso-8859e.my: 8859-9e.TXT
 	$(MYTOOL) $(MYTOPT) -name iso-8859e -uni:0,1 $< -runi:0,1 $< -8 -write $@ 
-
-category.my: category.txt
-	$(MYTOOL) $(MYTOPT) -name category -uni:0,1 $< -runi:0,1 $< -8 -write $@ 
 
 indic.my: indic.txt
 	$(MYTOOL) $(MYTOPT) -name indic -uni:0,1 $< -runi:0,1 $< -8 -write $@ 
@@ -152,30 +154,33 @@
 	$(MYTOOL) $(MYTOPT) -name cp-1251 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
 cp-1250.my: $(MAPDIR)/CP1250.TXT
 	$(MYTOOL) $(MYTOPT) -name cp-1250 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
-jis-0201.my: $(MAPDIR)/JIS0201.TXT
+jis-0201.my: $(EASTASIAMAP)/JIS0201.TXT
 	$(MYTOOL) $(MYTOPT) -name jis-0201 -uni:0,1 $< -runi:0,1 $<  -write $@ 
 
-jis-0208.my: $(MAPDIR)/JIS0208.TXT
+jis-0208.my: $(EASTASIAMAP)/JIS0208.TXT
 	$(MYTOOL) $(MYTOPT) -name jis-0208 -uni:1,2 $< -runi:1,2 $<  -write $@ 
+
+shift-jis.my: $(EASTASIAMAP)/JIS0208.TXT
+	$(MYTOOL) $(MYTOPT) -name shift-jis -uni:0,2 $< -runi:0,2 $<  -write $@ 
 	
-jis-0212.my: $(MAPDIR)/JIS0212.TXT
+jis-0212.my: $(EASTASIAMAP)/JIS0212.TXT
 	$(MYTOOL) $(MYTOPT) -name jis-0212 -uni:0,1 $< -runi:0,1 $<  -write $@ 
 
-ksc-5601-r.my: $(MAPDIR)/KSC5601.TXT
+ksc-5601-r.my: $(EASTASIAMAP)/KSC5601.TXT
 	$(MYTOOL) $(MYTOPT) -name ksc-5601-r -uni:0,1 $< -runi:0,1 $<  -write $@ 
 
-ksc-5601-l.my: $(MAPDIR)/KSC5601.TXT
+ksc-5601-l.my: $(EASTASIAMAP)/KSC5601.TXT
 	$(MYTOOL) $(MYTOPT) -name ksc-5601-l -low -uni:0,1 $< -runi:0,1 $<  -write $@ 
-ksc-5601-old.my: $(MAPDIR)/OLD5601.TXT
-	$(MYTOOL) $(MYTOPT) -name ksc-5601-old -uni:0,1 $< -runi:0,1 $<  -write $@ 
-
-big-5.my: $(MAPDIR)/BIG5.TXT
+ksx-1001.my: $(EASTASIAMAP)/KSX1001.TXT
+	$(MYTOOL) $(MYTOPT) -name ksx-1001 -uni:0,1 $< -runi:0,1 $<  -write $@ 
+
+big-5.my: BIG5.TXT
 	$(MYTOOL) $(MYTOPT) -name big-5 -uni:0,1 $< -runi:0,1 $<  -write $@ 
 
-gb-2312-l.my: $(MAPDIR)/GB2312.TXT
+gb-2312-l.my: $(EASTASIAMAP)/GB2312.TXT
 	$(MYTOOL) $(MYTOPT) -name gb-2312-l -uni:0,1 $< -runi:0,1 $<  -write $@ 
 
-gb-2312-r.my: $(MAPDIR)/GB2312.TXT
+gb-2312-r.my: $(EASTASIAMAP)/GB2312.TXT
 	$(MYTOOL) $(MYTOPT) -name gb-2312-r -high -uni:0,1 $< -runi:0,1 $<  -write $@ 
 
 install:

=== debian/changelog ===
yudit (2.8.1-4) unstable; urgency=low

  * QA upload
  * switch to "3.0 quilt" source format
  * clean all configure generated files
  * use Homepage field in control (Closes: 615372, 615402, 615344)
  * fix manpage (Closes: 501658)
  * switch to debhelper compat 7
  * modernize debian/rules
  - support build-arch, build-indep
  - use dpkg-buildflags
  * update suggest for ttf-kochi-gothic (Closes: 644773)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 22 Oct 2011 16:15:45 +0200

yudit (2.8.1-3) unstable; urgency=low

  * New maintainer E-Mail.
  * Removed the -s option in INSTALL_RPOGRAM in Makefile.conf.in to avoid
    automatic stripping (Closes: #438359).
  * Added [ ! -f Makefile ] || $(MAKE) clean to debian/rules.

 -- Mario Iseli <mario@debian.org>  Mon, 20 Aug 2007 09:45:31 +0200

yudit (2.8.1-2) unstable; urgency=medium

  * Added a postinst and prerm script to yudit-doc which adds or removes a
    symlink to /usr/share/doc/yudit-doc. Do not compress the HOWTO files
    (Closes: #385930).
  * yudit-doc depends now on yudit.

 -- Mario Iseli <admin@marioiseli.com>  Sat, 07 Oct 2006 11:18:08 +0200

yudit (2.8.1-1) unstable; urgency=low

  * New upstream version

 -- Mario Iseli <admin@marioiseli.com>  Sat, 02 Sep 2006 21:56:22 +0200

yudit (2.7.8-4) unstable; urgency=medium

  * Fixes build with gcc-4.1 (Closes: #357070)

 -- Mario Iseli <admin@marioiseli.com>  Sun, 19 Mar 2006 19:09:43 +0100

yudit (2.7.8-3) unstable; urgency=medium

  * yudit-common doesn't longer depend on yudit, but conflicts with old
    versions of yudit. (Closes: #351667)

 -- Mario Iseli <admin@marioiseli.com>  Mon,  6 Feb 2006 20:36:40 +0100
 

yudit (2.7.8-2) unstable; urgency=low

  * New Maintainer (Closes: #347570)
  * Separated source into 3 packages (-doc + -common) (Closes: #233464)
  * Removed the patch for the Makefile.conf (useless)
  * Overworked debian/copyright to new standards
  * Introduced dpatch and added the old 3 patches
  * Add UTF-8 Examples in debian/rules

 -- Mario Iseli <admin@marioiseli.com>  Tue, 17 Jan 2006 23:06:28 +0100

yudit (2.7.8-1) unstable; urgency=low

  * new upstream version.
  * include /usr/share/fonts/truetype/msttcorefonts in default config path (closes: #298951)
  * remove /usr/share/yudit/doc/UTF-8-demo*.txt (closes: #285944)
  * Orphaning the package, setting Maintainer to Debian QA Group.
    I really do not have the time to maintain yudit, even if
    I find it an extremely useful tool.

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat, 24 Dec 2005 20:59:08 +0100

yudit (2.7.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.0. Closes: #297292

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 31 Jul 2005 08:15:13 +0200

yudit (2.7.6-1) unstable; urgency=low

  * new upstream version
  * modified font path to better reflect debian defaults
  
 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 11 Jul 2003 11:22:19 +0200

yudit (2.7.5-1) unstable; urgency=low

  * new upstream version, closes: #196339
  * improved description, closes: #172064
  
 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 11 Jul 2003 11:22:19 +0200

yudit (2.6-2) unstable; urgency=low

  * apply _again_ the patch to test /etc/passwd (upstream forgot).
    Closes: #141019, #145327
  
 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu,  2 May 2002 18:11:39 +0200

yudit (2.6-1) unstable; urgency=low

  * new upstream release, closes: #141227

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 30 Apr 2002 19:33:54 +0200

yudit (2.5.4-2) unstable; urgency=low

  * put forgotten patch to test /etc/passwd instead of /etc/hosts
    to Makefile.conf.in (closes: #141019)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu,  4 Apr 2002 18:41:44 +0200

yudit (2.5.4-1) unstable; urgency=low

  * new upstream release.

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue,  2 Apr 2002 18:32:38 +0200

yudit (2.5.2-2) unstable; urgency=low

  * applied patches found on Gaspar's site

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sat,  9 Feb 2002 23:26:58 +0100

yudit (2.5.2-1) unstable; urgency=low

  * new upstream release

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun, 27 Jan 2002 10:56:53 +0100

yudit (2.5-1) unstable; urgency=low

  * new upstream release
  * do not test /etc/hosts but rather /etc/passwd in Makefile.in (closes: #121986)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 18 Dec 2001 21:14:51 +0100

yudit (2.4.8-1) unstable; urgency=low

  * new upstream release
  * unifont is now recommended

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 13 Nov 2001 19:32:53 +0100

yudit (2.4-2) unstable; urgency=low

  * renamed Chinese locale to zh
  * added SK.kmap
  * added gettext build dependency (closes: #108353)
  * changed default font from unifont to default (closes: #108631)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 10 Aug 2001 10:25:42 +0200

yudit (2.4-1) unstable; urgency=low

  * New maintainer
  * Big leap in upstream version (closes: #84312 )
  * upstream does not have multiple GUI's anymore (closes: #103923)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue,  7 Aug 2001 14:58:18 +0200

yudit (1.6-1) unstable; urgency=low

  * New Upstream version
  * Corrected the build-depends, upped the standards-version
  * Include <time.h>, use newer c++ libs, closes: #99049
  * Add yudit to the gnome menu

 -- Bart Schuller <schuller@debian.org>  Mon, 28 May 2001 21:32:54 +0200

yudit (1.5-2) unstable; urgency=low

  * added the "flex" and "gettext" build-dependencies, closes: #53621

 -- Bart Schuller <schuller@debian.org>  Tue, 28 Dec 1999 12:27:57 +0100

yudit (1.5-1) unstable; urgency=low

  * New upstream version
  * compiled with current libs, closes: #53464
  * moved to debian standards version 3.1.0

 -- Bart Schuller <schuller@debian.org>  Sat, 25 Dec 1999 21:28:11 +0100

yudit (1.3-1) unstable; urgency=low



=== debian/control ===
Source: yudit
Section: editors
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.0), x11proto-core-dev, libx11-dev, gettext
Standards-Version: 3.9.2
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yudit.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/yudit.git

Package: yudit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yudit-common (= ${source:Version})
Recommends: unifont
Suggests: yudit-doc, msttcorefonts, fonts-vlgothic | ttf-kochi-gothic, ttf-freefont
Description: Unicode text editor (arch-dependent binaries)
 yudit is a Unicode text editor for the X Window System. It does not need
 localized environment or Unicode fonts. It supports simultaneous processing
 of many languages, conversions for local character standards, bidirectional
 input, has its own input methods. The package includes conversion utilities,
 and it also has support for PostScript printing.
Homepage: http://www.yudit.org

Package: yudit-common
Architecture: all
Depends: ${misc:Depends}
Suggests: yudit-doc (= ${source:Version}), yudit (= ${source:Version})
Description: Unicode text editor (arch-independent files)
 yudit is a Unicode text editor for the X Window System. It does not need
 localized environment or Unicode fonts. It supports simultaneous processing
 of many languages, conversions for local character standards, bidirectional
 input, has its own input methods. The package includes conversion utilities,
 and it also has support for PostScript printing.
 .
 This package contains the arch-independent files in /usr/share.
Homepage: http://www.yudit.org


Package: yudit-doc
Section: doc
Architecture: all
Depends: yudit (>= ${source:Version}), ${misc:Depends}
Description: Unicode text editor (Documentation)
 The unicode editor "yudit" has got a big documentation in lots of languages.
 After the installation, the documentation will be available in:
 /usr/share/doc/yudit-doc/
Homepage: http://www.yudit.org

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

CFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

CXXFLAGS += -Wall
LDFLAGS += -Wl,-z,defs

Makefile: configure
	dh_testdir
	./configure --prefix=/usr \
	  --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	  --with-x --x-includes=/usr/include/X11 --x-libraries=/usr/lib \
	  CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
	  LDFLAGS='$(LDFLAGS)'
	# can't people not understaning build systems simply use automake?
	sed -e 's/^LD *=.*/LD = $$(CXX) $(CXXFLAGS) $(LDFLAGS)/' \
	    -e 's/^CFLAGS *=.*/CFLAGS = $(CXXFLAGS)/' \
	    -i Makefile.conf

build-stamp: Makefile
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile Makefile.conf
	rm -f doc/FAQ.TXT doc/*/FAQ.TXT yudit.properties
	rm -f uniprint/uniprint.1 uniconv/uniconv.1
	rm -f gui/locale/*/LC_MESSAGES/*.mo
	rm -f config.log
	rm -f config.cache
	rm -f config.status
	dh_clean

binary-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	rm -f debian/tmp/usr/share/yudit/doc/*/COPYING*
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress -XHOWTO -XFAQ
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
binary: binary-indep binary-arch
build-arch: build-stamp
build-indep:
build: build-indep build-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary
